<template>
    <!-- 弹出框表单 -->
    <el-dialog :title="title" :visible.sync="open" width="90%" append-to-body>
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
                                            <Field label="主动关怀配置id" prop="careCfgId" v-model="form.careCfgId" placeholder="请输入主动关怀配置id"/>
                            <Field label="时间段时候开始时间" prop="serviceTimeStart" v-model="form.serviceTimeStart" type="date" />
                            <Field label="时间段结束时间" prop="serviceTimeEnd" v-model="form.serviceTimeEnd" type="date" />
                            <Field label="备注" prop="remark" v-model="form.remark" type="textarea" placeholder="请输入备注"/>

            </el-row>

        </el-form>
        <div slot="footer" class="dialog-footer">
            <el-button type="primary" v-if="pageInfo.type !== 'view'" @click="submitForm">确 定</el-button>
            <el-button @click="cancel">取 消</el-button>
        </div>
    </el-dialog>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    import dialogShow from "./dialogshow";
    export default {
        mixins: [form],
        components: {
            dialogShow ,
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "主动关怀时间段",
                // 是否显示弹出层
                open: false,
                toString:[
                ],
                // 表单校验
                rules: {
                    serviceTimeStart: [
                        {required: true,message: "请选择时间段时候开始时间" },
                    ],
                    serviceTimeEnd: [
                        {required: true,message: "请选择时间段结束时间" },
                    ],
                    createTime: [
                        {required: true,message: "请选择创建时间" },
                    ],
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { Id: row.Id };
                this.urls.currUrl ="care/config/times/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改主动关怀时间段";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.urls.currUrl = "care/config/times/add";
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增主动关怀时间段";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { Id: row.Id };
                this.urls.currUrl ="care/config/times/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "主动关怀时间段详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    careCfgId : null,
                    serviceTimeStart : null,
                    serviceTimeEnd : null,
                    remark : "",
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
